using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 沟通事项文件
    /// </summary>
    [Description("沟通事项文件")]
    public class T_OG_INNER_CONTACT_ITEM_FILE : MesEntityBase
    {

        /// <summary>
        /// 内部联系沟通记录ID
        /// </summary>
        [Description("内部联系沟通记录")]
        [DataFieldForeignKey("Nav_Contact", "Nav_ItemFiles")]
        public Guid CONTACT_ID { get; set; }        
        /// <summary>
        /// 导航：内部联系沟通记录
        /// </summary>
        [Description("导航：内部联系记录表")]
        public T_OG_INNER_CONTACT Nav_Contact { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
